summaryrefslogtreecommitdiffstats
path: root/debian/nmap-common.prerm
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-17 07:42:05 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-17 07:42:05 +0000
commit575f19d860593f20ec54b8814083247b4a1af5aa (patch)
tree08f548bc861a75bc05d618a89e2081700b4005cd /debian/nmap-common.prerm
parentAdding upstream version 7.94+git20230807.3be01efb1+dfsg. (diff)
downloadnmap-575f19d860593f20ec54b8814083247b4a1af5aa.tar.xz
nmap-575f19d860593f20ec54b8814083247b4a1af5aa.zip
Adding debian version 7.94+git20230807.3be01efb1+dfsg-2.debian/7.94+git20230807.3be01efb1+dfsg-2
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/nmap-common.prerm')
-rwxr-xr-xdebian/nmap-common.prerm19
1 files changed, 19 insertions, 0 deletions
diff --git a/debian/nmap-common.prerm b/debian/nmap-common.prerm
new file mode 100755
index 0000000..8a76f49
--- /dev/null
+++ b/debian/nmap-common.prerm
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ remove|upgrade|deconfigure)
+ rm -f /usr/share/nmap/nselib/data/psexec/nmap_service.exe ;;
+
+ failed-upgrade) ;;
+
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0